Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element portletInstance

Model
  `<portletInstance
  contentUri = string
  defaultMinimized = boolean
  id = string
  instanceId = string
  instanceLabel = `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`
  markupType = `"Portlet"`
  orientation = string
  title = `{string: length ≥ 1}`
  >
  preference*, filterEvent*
  </portletInstance>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Content Type
  declared by type portletInstanceType
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be a child of the following elements: body, placeholder, placeholderType/theme.

Nested Element Summary
`preferenceType` | `preference` 0...∞
`filterEventType` | `filterEvent` 0...∞

Attribute Summary
`string` | `contentUri`
`boolean` | `defaultMinimized`
`string` | `id`
`string` | `instanceId`
`annonymous type derived from string` | `instanceLabel`
`annonymous type derived from string` | `markupType`
`string` | `orientation`
`titleType` | `title`

Attribute Detail

### contentUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### defaultMinimized

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### id

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### instanceId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### instanceLabel

Model
  `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Pattern Facet
  `(\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*`

### markupType

Model
  `"Portlet"`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Enumeration Facet
  `"Portlet"`

### orientation

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### title

Definition

  Defined with global type titleType

Model
  `{string: length ≥ 1}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 NetUI Controls Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1